org.codehaus.groovy.ast.expr

## Class StaticMethodCallExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.StaticMethodCallExpression

All Implemented Interfaces:
  MethodCall

    public class StaticMethodCallExpression
    extends Expression
    implements MethodCall

A static method call on a class

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`StaticMethodCallExpression(ClassNode type, java.lang.String method, Expression arguments)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `getArguments()`
`MetaMethod` `getMetaMethod()`
`java.lang.String` `getMethod()`
`java.lang.String` `getMethodAsString()`
`ClassNode` `getOwnerType()`
`ASTNode` `getReceiver()`
`java.lang.String` `getText()`
`void` `setMetaMethod(MetaMethod metaMethod)`
`void` `setOwnerType(ClassNode ownerType)`
`java.lang.String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StaticMethodCallExpression

    public StaticMethodCallExpression(ClassNode type,
                                      java.lang.String method,
                                      Expression arguments)

### Method Detail

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`

#### getReceiver

    public ASTNode getReceiver()

Specified by:
  `getReceiver` in interface `MethodCall`

#### getMethodAsString

    public java.lang.String getMethodAsString()

Specified by:
  `getMethodAsString` in interface `MethodCall`

#### getArguments

    public Expression getArguments()

Specified by:
  `getArguments` in interface `MethodCall`

#### getMethod

    public java.lang.String getMethod()

#### getText

    public java.lang.String getText()

Specified by:
  `getText` in interface `MethodCall`
Overrides:
  `getText` in class `ASTNode`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getOwnerType

    public ClassNode getOwnerType()

#### setOwnerType

    public void setOwnerType(ClassNode ownerType)

#### setMetaMethod

    public void setMetaMethod(MetaMethod metaMethod)

#### getMetaMethod

    public MetaMethod getMetaMethod()